<?php

class MailboxLocaleLang extends HordeLocaleLang {
   
   function MailboxLocaleLang () {
      $this->HordeLocaleLang();
   }
   
   function error ($current_mbox, $action) {
      global $lang;
      
      $action_text = $lang->$action;
      return "Kotak surat: $current_mbox: Error: Surat $action_text Gagal";
   }
   
   function success1 ($current_mbox, $action, $num, $plural = false) {
      global $lang;
      
      if ($plural) $messages = 'Surat';
      else $messages = 'Surat';
      
      $action_text = $lang->$action;
      return "Kotak surat: $current_mbox: $action_text $num $messages";
   }
   
   function success2 ($current_mbox, $targetMbox, $action, $num, $plural = false) {
      global $lang;
      
      if ($plural) $messages = 'Surat';
      else $messages = 'Surat';
      
      $action_text = $lang->$action;
      return "Kotak surat: $current_mbox: $action_text $num $messages ke $targetMbox";
   }
   
   function pagenav ($page, $page_count) {
      global $this_client;
      if ($this_client == '') { $this_client = new WebClient; }

      if ($this_client->lynx) {
	 return "Halaman $page dari $page_count";
      } else {
         $len = strlen($page_count);
	 return "<input type=\"text\" name=\"page\" value=\"$page\" size=$len> dari $page_count";
      }
   }
   
   function overview ($begin, $end, $nummsgs) {
       if ($nummsgs == 0) {
	  return "0 Surat";
       } elseif ($nummsgs == 1) {
	  return "1 Surat";
       } else {
	  return "$begin - $end dari $nummsgs surat";
       }
   }
}


$lang = new MailboxLocaleLang();
require './locale/id/openwin.lang';

$lang->delete_link = 'Hapus';
$lang->undelete_link = 'Batal Hapus';
$lang->move_link = 'Pindah';
$lang->copy_link = 'Salin';
$lang->selected_mail = 'surat terpilih';

$lang->sort_by_label = 'Urut Berdasarkan';
$lang->date_label = 'Tanggal';
$lang->from_label = 'Dari';
$lang->subject_label = 'Judul Surat';
$lang->size_label = 'Ukuran';
$lang->to_label = 'Ke';

$lang->select_all = 'Pilih semua';
$lang->select_none = 'Batal pilih semua';
$lang->hide_deleted = 'Hide Deleted';
$lang->show_deleted = 'Show Deleted';
$lang->empty_trash = 'Buang sampah';

$lang->no_subject = '[Tanpa judul]';
$lang->undisclosed_recipients = 'Undisclosed Recipients';
$lang->mailbox = 'Kotak surat';

$lang->message = 'Message';
$lang->messages = 'Messages';

$lang->deletion = 'Deletion';
$lang->deleted = 'Deleted';
$lang->undeletion = 'Undeletion';
$lang->undeleted = 'Undeleted';
$lang->move = 'Move';
$lang->moved = 'Moved';
$lang->copy = 'Copy';
$lang->copied = 'Copied';
$lang->expunge = 'Expunge';
$lang->expunged = 'Expunged';
$lang->hiding_deleted = 'Hiding Deleted Messages';
$lang->showing_deleted = 'Showing Deleted Messages';
$lang->deleted_summary = 'deleted message(s) hidden from listing';
$lang->empty_mailbox = 'Tidak ada surat dalam mailbox ini.';
$lang->no_messages_selected = 'Harus memilih paling sedikit satu.';

$lang->reverse_sort = 'Urutan dibalik (terakhir atau terbesar ke terlama atau terkecil).';

$lang->refresh = 'Refresh Mailbox';
$lang->alert_really_delete = 'Apakah akan dihapus secara permanen?';
$lang->first_page = 'First Page';
$lang->prev_page = 'Previous Page';
$lang->next_page = 'Next Page';
$lang->last_page = 'Last Page';
$lang->no_mailbox_selected = 'Anda harus memilih mailbox yang dituju.';
?>
